<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('factories', function(Blueprint $table) {
			$table->foreign('continent_id')->references('id')->on('continents')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->foreign('country_id')->references('id')->on('countries')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->foreign('state_id')->references('id')->on('states')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->foreign('city_id')->references('id')->on('cities')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->foreign('status_id')->references('id')->on('status')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->foreign('revenue_id')->references('id')->on('revenues')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->foreign('connection_point_id')->references('id')->on('connection_points')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->foreign('research_institution_id')->references('id')->on('research_institutions')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->foreign('off_taker_id')->references('id')->on('off_takers')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->foreign('funding_source_id')->references('id')->on('funding_sources')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->foreign('company_id')->references('id')->on('companies')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('technologies', function(Blueprint $table) {
			$table->foreign('technologycategory_id')->references('id')->on('technology_categories')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
	}

	public function down()
	{
		Schema::table('factories', function(Blueprint $table) {
			$table->dropForeign('factories_continent_id_foreign');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->dropForeign('factories_country_id_foreign');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->dropForeign('factories_state_id_foreign');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->dropForeign('factories_city_id_foreign');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->dropForeign('factories_status_id_foreign');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->dropForeign('factories_revenue_id_foreign');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->dropForeign('factories_connection_point_id_foreign');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->dropForeign('factories_research_institution_id_foreign');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->dropForeign('factories_off_taker_id_foreign');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->dropForeign('factories_funding_source_id_foreign');
		});
		Schema::table('factories', function(Blueprint $table) {
			$table->dropForeign('factories_company_id_foreign');
		});
		Schema::table('technologies', function(Blueprint $table) {
			$table->dropForeign('technologies_technologycategory_id_foreign');
		});
	}
}